=== debian/changelog ===
kate (4:25.04.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix data loss when closing kate if the option to save and restore
    unsaved files is enabled. [9767f9d1, a843f106, 9502ae17, 5ec8803d,
    6b29a7e6] (kde#505135)
    - Fix symbol highlight not working when using the LSP client. [ca61073b,
    2650a5e6, 79765d29] (kde#503414)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Jul 2025 15:10:03 +0200

kate (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Open read-write for _commit, don't use WriteOnly, that will truncate.
    - Build: Fix creating a new set of targets. (kde#505346) (Closes:
    #1108892)
    - Fix saving & restoring last active build target index. (kde#505241)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Jul 2025 09:02:49 +0200
