## kate 25.08.1+p24.04+vstable+git20250926.0939

=== debian/changelog ===
kate (4:25.08.1+p24.04+vstable+git20250926.0939-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:39:56 +0000

kate (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:38:56 +0000
