## kate 25.08.1+p24.04+vstable+git20251001.0451

=== debian/changelog ===
kate (4:25.08.1+p24.04+vstable+git20251001.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:51:21 +0000
