=== addons/tabswitcher/CMakeLists.txt ===
kate_add_plugin(tabswitcherplugin)
target_compile_definitions(tabswitcherplugin PRIVATE TRANSLATION_DOMAIN="tabswitcherplugin")
target_link_libraries(tabswitcherplugin PRIVATE KF6::I18n KF6::TextEditor kateprivate)

target_sources(
  tabswitcherplugin 
  PRIVATE
    tabswitcher.cpp
    tabswitcherfilesmodel.cpp
    tabswitchertreeview.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(tabswitcherplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()
