=== addons/katebuild-plugin/test/subdir/Makefile ===

enter_exit_subdir.o: enter_exit_subdir.c enter_exit_subdir.h
	gcc -Wall -g -c -o enter_exit_subdir.o enter_exit_subdir.c
