## kate 25.08.2+p24.04+vstable+git20251015.1638

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251015.1638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:38:19 +0000
