## kate 25.08.2+p24.04+vstable+git20251021.0342

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251021.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:43:01 +0000
