## kate 25.08.2+p24.04+vstable+git20251028.1030

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251028.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:30:16 +0000
