=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, dbus, kinit, xauth, xvfb, @, @builddeps@
Restrictions: build-needed, allow-stderr
