## kate 25.08.2+p24.04+vstable+git20251031.0256

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251031.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:56:14 +0000
